# Remove Reserved Number From Cart

## Overview

Remove reserved numbers you no longer want from your cart.

## Authentication

{% hint style="info" %}
This function is available via our new GraphQL API. You can read more about how to authenticate to this API [here](/graphql-api-and-authentication.md).
{% endhint %}

## Example Mutation

```
mutation CartRemove($numbers:[String]) {
  releaseReserved(numbers:$numbers) {
    excluded
    excludedCount
    releasedCount
    totalCount
  }
}
```

### Query Variables

```
{
  "numbers": ["8572391651"]
}
```

## Example Response

```
{
  "data": {
    "releaseReserved": {
      "excluded": [],
      "excludedCount": 0,
      "releasedCount": 1,
      "totalCount": 1
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tsgglobal.com/api-reference/phone-numbers/remove-reserved-number-from-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
